### A free/open-source library for quantitative finance

Classes
ql/instruments/cliquetoption.hpp File Reference

Cliquet option. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/time/date.hpp>`
`#include <vector>`
Include dependency graph for cliquetoption.hpp:

## Classes

class | CliquetOption
| cliquet (Ratchet) option More...
class | CliquetOption::arguments
| Arguments for cliquet option calculation More...
class | CliquetOption::engine
| Cliquet engine base class. More...

## Detailed Description

Cliquet option.